Installing PHP5 on Ubuntu Server

When installing PHP 5 from source I ran into the following problems and solutions:

Problem:
configure: error: xml2-config not found. Please check your libxml2 installation.
Solution:
sudo apt-get install libxml2-dev

Problem:
configure: error: Cannot find libz
Solution:
sudo apt-get install zlib1g-dev

Problem:
configure: error: Please reinstall the libcurl distribution
Solution:
sudo apt-get install libcurl4-gnutls-dev

Problem:
configure: error: DBA: Could not find necessary header file(s).
Solution:
sudo apt-get install libgdbm-dev

Problem:
configure: error: png.h not found.
Solution:
sudo apt-get install libpng-dev

Problem:
configure: error: Cannot find MySQL header files under yes.
Note that the MySQL client library is not bundled anymore!
Solution:
sudo apt-get install libmysqlclient15-dev

During make:
/usr/bin/ld: /usr/local/ssl/lib/libcrypto.a(cversion.o): relocation R_X86_64_32 against `.rodata.str1.1′ can not be used when making a shared object; recompile with -fPIC
/usr/local/ssl/lib/libcrypto.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make: *** [libphp5.la] Error 1

Solution: Go back and reinstall openssl with ./config enable-shared as per this answer and not sure if it mattered but i also did ‘apt-get install curl’ at this point.

Next Problem:
/usr/bin/ld: cannot find -lltdl
collect2: ld returned 1 exit status
make: *** [libphp5.la] Error 1
Solution:
as per this page we try this:
sudo apt-get install libtool
sudo apt-get install libdbd-mysql

and we’re up and running with our chosen options!

This entry was posted in Uncategorized. Bookmark the permalink.

6 Responses to Installing PHP5 on Ubuntu Server

  1. admin says:

    problem: configure: error: jpeglib.h not found.
    solution: apt-get install libjpeg-dev

  2. admin says:

    configure: error: freetype-config not found.
    solution: apt-get install libfreetype6-dev

  3. admin says:

    problem: configure: error: mcrypt.h not found. Please reinstall libmcrypt.
    solution: apt-get install libmcrypt-dev

  4. Denis Topa says:

    problem: configure: error: Cannot find FreeTDS in known installation directories
    solution: apt-get install freetds-dev

  5. Pingback: How to install PHP7 on Ubuntu or Debian

  6. Pingback: How to compile php7 on ubuntu 14.04 - jcutrer.com

Leave a Reply

Your email address will not be published. Required fields are marked *